%define	name	dosbox
%define	version	0.61
%define release	1mdk
%define	Summary	A DOS emulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Source2:	%{name}.conf.bz2
#Patch0:	%{name}-tandy.patch.bz2
#Patch1:	%{name}-settings.patch.bz2
#Patch2:	%{name}-0.58-config.patch.bz2
License:	GPL
Group:		Emulators
URL:		http://dosbox.sourceforge.net
BuildRequires:	zlib-devel png-devel SDL_net-devel XFree86-devel gpm-devel ncurses-devel nas-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DOSBox is an emulator of a PC with dos.
The main focus of this project is emulating old dos games
using the local file system for files. 

Currently emulated is: 

CPU:286/386 realmode 
GFX:VGA/EGA/CGA 
SND:PC-Speaker/Tandy 3-Voice/Adlib/SoundBlaster 
MSC:Keyboard/Mouse 
DOS:Directory FileSystem/XMS/EMS

%prep
%setup -q
#%patch0 -p1
#%patch1 -p0
#%patch2 -p1 -b .peroyvind

%build
%configure2_5x	--enable-core-inline
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

%{__install} -d $RPM_BUILD_ROOT{%{_menudir},%{_sysconfdir}}
%{__bzip2} -dc %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name} -conf %{_sysconfdir}/%{name}.conf" \
		icon=%{name}.png \
		needs="x11" \
		section="Applications/Emulators" \
		title="DOSBox"\
		longtitle="%{Summary}"
EOF

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/*/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%doc AUTHORS ChangeLog INSTALL NEWS README THANKS

%changelog
* Wed Feb  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.61-1mdk
- drop patch 3
- new version

* Fri Jan  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.60-2mdk
- patch3: fix alsa build

* Mon Oct 20 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.60-1mdk
- 0.60
- adjusted buildrequires for lib64
- dropped P2, now a configure option
- drop --enable-shots, no longer a configure option

* Mon Aug 11 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.58-2mdk
- reenabled C_EXTRAINLINE (P3) (from Peter Veenstra)
- change summary tag to avoid possible conflicts if we were to build debug package

* Fri Apr 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.58-1mdk
- updated url
- 0.58
- dropped Patch0 & Patch1
- enable screenshot support
- added man page

* Thu Mar 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.57-3mdk
- add libncurses-devel to BuildRequires(from Michal Scherer)
- define EGAVGA=1 and C_EXTRAINLINE=1(from Michal Scherer) in settings.h(Patch1)

* Thu Mar 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.57-2mdk
- fixed description (missing 'T')
- added tandy patch (Patch0)
- fixed 16x16 icon to make it less fuzzy

* Thu Mar 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.57-1mdk
- initial mdk release
